YepAPI
AI Models

MiMo V2 Flash

Xiaomi's fast and affordable model. Optimized for speed with a 262K context window at a budget price.

POST/v1/ai/chat
$0.01/call

Overview

Xiaomi's fast and affordable model. Optimized for speed with a 262K context window at a budget price.

PropertyValue
Model IDxiaomi/mimo-v2-flash
Context Window262,144 tokens
Max Output8,192 tokens
Input Price$0.09 / 1M tokens
Output Price$0.29 / 1M tokens

Usage

const res = await fetch('https://api.yepapi.com/v1/ai/chat', {
  method: 'POST',
  headers: {
    'x-api-key': 'YOUR_API_KEY',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
    model: 'xiaomi/mimo-v2-flash',
    messages: [{ role: 'user', content: 'Convert this temperature from Celsius to Fahrenheit: 37 degrees.' }],
  }),
});
const { data } = await res.json();
console.log(data.message.content);
curl -X POST https://api.yepapi.com/v1/ai/chat \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"model": "xiaomi/mimo-v2-flash", "messages": [{"role": "user", "content": "Convert this temperature from Celsius to Fahrenheit: 37 degrees."}]}'

Request Body

ParameterTypeRequiredDescriptionDefault
modelstringYesModel ID (e.g. xiaomi/mimo-v2-flash)
messagesMessage[]YesArray of { role, content } objects
maxTokensnumberNoMaximum tokens in the responseModel default
temperaturenumberNoSampling temperature (0.0–2.0)1.0
topPnumberNoNucleus sampling threshold1.0
frequencyPenaltynumberNoPenalize repeated tokens0
presencePenaltynumberNoPenalize tokens already present0
streambooleanNoEnable SSE streamingfalse
Info

All AI models use the /v1/ai/chat endpoint. Specify the model with the model field.

Response

{
  "ok": true,
  "data": {
    "model": "xiaomi/mimo-v2-flash",
    "message": {
      "role": "assistant",
      "content": "37 degrees Celsius is equal to 98.6 degrees Fahrenheit. The formula is: F = (C x 9/5) + 32."
    },
    "usage": {
      "promptTokens": 16,
      "completionTokens": 32,
      "totalTokens": 48
    }
  }
}

Streaming

Set "stream": true to receive Server-Sent Events. Each chunk contains a delta object:

data: {"delta":{"content":"37"},"model":"xiaomi/mimo-v2-flash","index":0}
data: [DONE]
Under the Hood

We handle auth, billing, and response normalization — you just send messages.

On this page